@ echo OFF

set wdir=%CD%
set PRO_HOME=%HOME_DIR%
if x%PRO_HOME%==x  (
 set ERRMSG=PRODUCT HOME NOT SET
 goto error
)

if NOT EXIST %PRO_HOME% (
 set ERRMSG=NO SUCH DIR: %PRO_HOME%
 goto error
)

cd /D %PRO_HOME%
if not ERRORLEVEL 0 (
set ERRMSG=UNABLE TO GET INTO THE PRODUCT HOME DIRECTORY
goto error
)

rem for /R %%i in (*JimiProClasses.pack.gz) do move "%%i" "%%~dpi%%~ni"
rem for /R %%i in (*JimiProClasses.pack) do .\jre\bin\unpack200  -J-mx200M -r "%%i" "%%~dpi%%~ni.zip"

set PRINTMSG=TRUE
for /R %%i in (*.gz) do (
    echo Initializing ...
    echo Fresh start of ScanFi server. Unpacking all the jars. 
    echo This will take a few minutes.  Please wait ...
    GOTO BRK
)
:BRK    
rem for /R %%i in (*.pack.gz) do (
rem set ERRMSG=UNABLE TO PROCESS %%i
rem set PRINTMSG=FALSE
rem move "%%i" "%%~dpi%%~ni"
rem if ERRORLEVEL 1 goto error
rem )



for /R %%i in (*.gz) do (
 set ERRMSG=UNABLE TO PROCESS %%i
 
.\jre\bin\unpack200  -J-mx200M -r "%%i" "%%~dpi%%~ni.jar"
if NOT ERRORLEVEL 0 goto error
)

rem set ERRMSG=ERROR WHILE CREATING THE classes.jsa file
rem .\jre\bin\java -Xshare:dump
rem if ERRORLEVEL 1 goto error


goto end

:error
 echo ***********************************
 echo %ERRMSG%
 echo ***********************************

:end
if %PRINTMSG%==FALSE (
      echo Unpacked all the jars ...
)
cd /D %wdir%

